Bug 1699940 (CVE-2019-11006) - CVE-2019-11006 GraphicsMagick: heap-based buffer over-read in the function ReadMIFFImage of coders/miff.c, allowing for a DoS attack of Information disclosure.
Summary: CVE-2019-11006 GraphicsMagick: heap-based buffer over-read in the function Re...
Status: CLOSED UPSTREAM
Alias: CVE-2019-11006
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20190408,repor...
Keywords: Security
Depends On: 1699941 1699942
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-15 13:05 UTC by Marian Rehak
Modified: 2019-06-10 10:54 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-10 10:54:15 UTC


Attachments (Terms of Use)

Description Marian Rehak 2019-04-15 13:05:20 UTC
In GraphicsMagick 1.4 snapshot-20190322 Q8, there is a heap-based buffer over-read in the function ReadMIFFImage of coders/miff.c, which allows attackers to cause a denial of service or information disclosure via an RLE packet.

External References:
http://hg.graphicsmagick.org/hg/GraphicsMagick/rev/f7610c1281c1

Comment 1 Marian Rehak 2019-04-15 13:05:30 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: epel-all [bug 1699941]
Affects: fedora-all [bug 1699942]

Comment 2 Product Security DevOps Team 2019-06-10 10:54:15 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.